Index: unk/instant_messenger/bkp/instant_messenger_32/docs/change_log.txt
===================================================================
--- /trunk/instant_messenger/bkp/instant_messenger_32/docs/change_log.txt	(revision 151)
+++ 	(revision )
@@ -1,23 +1,0 @@
-Esse arquivo descreve todas as correções, alterações e novas implementações do 
-módulo instant_messenger, e a partir da versão 27/04/2007 [0.001]
-Alexandre Luiz Correia
-Rodrigo Souza dos Santos.
-
-27/04/2007 [0.001]
-- Vcard, corrigido para a visualização de caracteres e acentos. 
-
-14/08/2007
-- Criado script IMManager.php, para conexão com o servidor Jabberd.
-- Mudança de status, offline, online, ausente,...etc, conforme documentação do xmpp
-- Novo layout para a troca de mensagens.
-
-16/08/2007
-- Permanência de estado ( online, offline, ausente, invisível), quando é feito o refresh
-de página no expresso.
-
-21/08/2007
-- Corrigido a mudança de status automática
-- Layout do adicionar contato não gera mais scrolls
-
-23/08/2007
-- Arrumado o tipo de cursor no IE na mudança de Status
Index: unk/instant_messenger/controller.php
===================================================================
--- /trunk/instant_messenger/controller.php	(revision 151)
+++ 	(revision )
@@ -1,85 +1,0 @@
-<?php
-if ( !$_GET['act'] )
-	echo "controller - #0 : invalid action";
-else
-{
-	#$header = getallheaders();
-	#if ( !$header['ThreadId'] )
-	#	echo "controller - #1 : invalid thread id";
-	#else
-	#{
-		#header('ThreadId: ' . $header['ThreadId']);
-		header('ThreadId: ' . $_GET['act']);
-		list($type, $file, $complement) = explode('.', $_GET['act']);
-		switch ( $type )
-		{
-			case '$this' :
-			case '$class' :
-			case '$obj' :
-				factory($file, $complement);
-				break;
-			case '$file' :
-			case '$xml' :
-			case '$js' :
-			case '$css' :
-				shop();
-				break;
-			default : echo "controller - #2 : invalid type";
-		}
-	#}
-}
-
-exit(0);
-
-function factory($class = false, $method = false)
-{
-	if ( !$class || !$method )
-	{
-		echo "controller - #3 : invalid class or method";
-		return false;
-	}
-
-	# Load dinamically class file.
-	$filename = 'inc/class.'.$class.'.inc.php';
-	if ( !file_exists($filename) )
-	{
-		echo "controller - #4 : class not exists";
-		return false;
-	}
-	require_once $filename;
-
-	# Create new Object  (class loaded).
-	$obj = new $class;
-	# Prepare parameters for execution.
-	$params = array();
-
-	$request_method = $_SERVER['REQUEST_METHOD'];
-	switch ( $request_method )
-	{
-		case 'GET' :
-			array_shift($_GET);
-			$params = $_GET;
-		break;
-		case 'POST' :
-			$params = $_POST;
-		break;
-		case 'HEAD' :
-		case 'PUT' :
-		default :
-			echo "controller - #5 : request method not avaible";
-			return false;
-	}
-
-	# if params is not empty, then class method with parameters.
-	if ( $params )
-		$result = $obj -> $method($params);
-	else
-		$result = $obj -> $method();
-
-	printf("%s", $result);
-}
-
-function shop()
-{
-}
-?>
Index: unk/instant_messenger/index.php
===================================================================
--- /trunk/instant_messenger/index.php	(revision 164)
+++ 	(revision )
@@ -1,66 +1,0 @@
-<?php
-	/***************************************************\
-	 * Im - Instant Messenger				 					*
-	 * Authors - Alexandre Correia							*
-	 * 			 Rodrigo Souza									*
-	\***************************************************/
-
-	$GLOBALS['phpgw_info']['flags']['currentapp'] = 'instant_messenger';
-	$GLOBALS['phpgw_info']['flags']['im_version'] = '0.3';
-	
-	include("../header.inc.php");
-    $im_version = $GLOBALS['phpgw_info']['flags']['im_version'];
-
-	$template_1 = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
-	$template_1->set_file(Array('instant_messenger' => 'index.tpl'));
-	$template_1->set_block('instant_messenger','index');
-	$template_1->pfp('out','index');
-
-	require_once PHPGW_SERVER_ROOT . '/instant_messenger/inc/im_sessions.inc.php';
-
-   $webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
-   $webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
-   if ( strrpos($webserver_url, '/') === false || strrpos($webserver_url, '/') != (strlen($webserver_url)-1) )
-		$webserver_url .= '/';
-
-   $webserver_url = $webserver_url . 'instant_messenger/';
-
-	print '<script type="text/javascript">var path_im = "'.$webserver_url.'";</script>';
-	
-	// Footer
-	$GLOBALS['phpgw']->common->phpgw_footer();
-	
-	if ( strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') )
-		exit;	
-
-?>
-<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
-	<head>
-		<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
-		<title>IM</title>
-		<!-- JavaScript -->
-		
-		<script type="text/javascript" src="js/connector.js"></script>
-		<script type="text/javascript" src="js/xtools.js"></script>
-		<script type="text/javascript" src="js/jabber.js"></script>
-		<script type="text/javascript" src="js/client.js"></script>
-		<script type="text/javascript" src="js/images.js"></script>
-		<script type="text/javascript" src="js/dragdrop.js"></script>
-		<script type="text/javascript" src="js/build_win.js"></script>
-
-		<!-- JavaScript Aux -->
-		<script type="text/javascript" src="js/templates.js"></script>
-		<script type="text/javascript" src="js/fcommon.js"></script>
-		<script type="text/javascript" src="js/menu_action.js"></script>
-		<script type="text/javascript" src="js/functions.js"></script>
-		<script type="text/javascript" src="js/images.js"></script>
-		<script type="text/javascript" src="js/cookies_im.js"></script>
-
-		<!-- CSS -->
-		<link rel="stylesheet" type="text/css" href="templates/default/css/window.css">
-		<link rel="stylesheet" type="text/css" href="templates/default/css/chat.css">
-		<link rel="stylesheet" type="text/css" href="templates/default/css/common.css">
-
-		<script type="text/javascript" src="js/load.js"></script>		
-	</head>