Index: trunk/instant_messenger/templates/default/config.tpl
===================================================================
--- trunk/instant_messenger/templates/default/config.tpl	(revision 260)
+++ trunk/instant_messenger/templates/default/config.tpl	(revision 260)
@@ -0,0 +1,63 @@
+<!-- BEGIN header -->
+<form method="POST" action="{action_url}">
+<table border="0" align="center">
+   <tr bgcolor="{th_bg}">
+    <td colspan="2"><font color="{th_text}">&nbsp;<b>{title} - Jabber</b></font></td>
+   </tr>
+<!-- END header -->
+
+<!-- BEGIN body -->
+   <tr bgcolor="{row_on}">
+    <td colspan="2">&nbsp;</td>
+   </tr>
+
+   <tr bgcolor="{row_off}">
+    <td colspan="2">&nbsp;<b>Configuração do Servidor Jabber</b></td>
+   </tr>
+
+   <tr bgcolor="{row_on}">
+    <td>Digite o nome do Servidor Jabber:</td>
+    <td><input id="IM_name_jabber" name="newsettings[name_jabber]" value="{value_name_jabber}"></td>
+   </tr>
+
+   <tr bgcolor="{row_off}">
+    <td>Digite Nome da Conexão:</td>
+    <td><input id="IM_resource_jabber" name="newsettings[resource_jabber]" value="{value_resource_jabber}"></td>
+   </tr>
+
+   <tr bgcolor="{row_on}">
+    <td>Digite a porta do Servidor Jabber:</td>
+    <td><input id="IM_port_jabber" name="newsettings[port_jabber]" value="{value_port_jabber}"></td>
+   </tr>
+
+   <tr bgcolor="{row_off}">
+    <td>Servidor Ldap:</td>
+    <td><input id="IM_server_ldap_jabber" name="newsettings[server_ldap_jabber]" value="{value_server_ldap_jabber}"></td>
+   </tr>
+
+   <tr bgcolor="{row_on}">
+    <td>Contexto:</td>
+    <td><input id="IM_context_ldap_jabber" name="newsettings[context_ldap_jabber]" value="{value_context_ldap_jabber}" size="30"></td>
+   </tr>
+
+   <tr bgcolor="{row_off}">
+    <td>Usuário Ldap:</td>
+    <td><input id="IM_user_ldap_jabber" name="newsettings[user_ldap_jabber]" value="{value_user_ldap_jabber}" size="30"></td>
+   </tr>
+
+   <tr bgcolor="{row_on}">
+    <td>Password:</td>
+    <td><input type="password" name="newsettings[password_ldap_jabber]" value="{value_password_ldap_jabber}"></td>
+   </tr>
+<!-- END body -->
+
+<!-- BEGIN footer -->
+  <tr>
+    <td colspan="2" align="center">
+      <input type="submit" name="submit" value="{lang_submit}">
+      <input type="submit" name="cancel" value="{lang_cancel}">
+    </td>
+  </tr>
+</table>
+</form>
+<!-- END footer -->
Index: trunk/instant_messenger/templates/default/index.tpl
===================================================================
--- trunk/instant_messenger/templates/default/index.tpl	(revision 260)
+++ trunk/instant_messenger/templates/default/index.tpl	(revision 260)
@@ -0,0 +1,165 @@
+<!-- BEGIN index -->
+    <h1>Como Utilizar o Expresso Messenger</h1>
+    <h2><a name="toc">Conteúdo</a></h2>
+    <ol>
+      <li><a href="#intro">Introdução</a>
+      <li><a href="#acesso_primeiro">Acessando o Expresso Messenger pela Primeira Vez</a>
+      <li><a href="#supported">Browsers Suportados</a>
+	  <li><a href="#prefe">Menu Opções</a>
+      <li><a href="#contact_list">Lista de Contatos</a>
+        <ol>
+          <li><a href="#status">Indicador de Status</a>
+          <li><a href="#useradd">Adicionando um novo contato</a>
+          <li><a href="#userdel">Removendo um contato</a>          
+        </ol>
+      <li><a href="#menu_right">Preferências Avançadas</a>
+      <li><a href="#info_ad">Vcard - Informações Adicionais</a>
+      <li><a href="#info_prefe">Preferências</a>      
+	  <li><a href="#troca_mens">Troca de Mensagens</a>
+	  <li><a href="#troca_status">Troca de Status</a>      
+    </ol>
+
+    <h2><a name="intro">1. Introdução</a></h2>
+    
+    O Expresso Messenger é uma aplicação que permite o envio e recebimento de mensagens instantaneamente. Através da sua lista de contatos, você pode trocar mensagens e arquivos com seus contatos. Através da lista também é possível saber se seus contatos estão Online ou Offline. Para a troca de mensagens basta clicar em cima do nome do seu contato, se o mesmo estiver online ( verifique a sessão <a href="#status">Indicador de Status</a> ) abrirá uma janela onde você poderá enviar/receber as mensagens. O Expresso Messenger está associado
+    a um serviço de mensagens instantâneas Jabber, este serviço é responsável pelo armazenamento dos seus contatos, preferências e mensagens.
+
+	<br clear="all">
+	<br>
+	( figura 1 )
+    <img src="templates/default/images/lista_contatos.png" width="200" height="319" alt="Im Screenshot" align="left" style="padding-right:4px;"> 
+	
+    <br clear="all">
+
+	<h2><a name="acesso_primeiro">2. Acessando o Expresso Messenger pela Primeira Vez</a></h2>
+	
+	Para o acessar o Expresso Messenger, basta clicar em cima da figura <img src="templates/default/images/available.gif">("bolinha verde"), abrirá uma uma janela igual a figura 2. A lista de contatos aparecerá com a seguinte frase : "Nenhum Contato", atá que sejam cadastrados novos contatos. 
+
+	<br clear="all">
+	<br>
+	( figura 2 )
+    <img src="templates/default/images/lista_contatos_primeira.png" width="201" height="318" alt="Im Screenshot" align="left" style="padding-right:4px;"> 
+    
+    <br clear="all">
+
+    <h2><a name="supported">3. Browsers Suportados</a></h2>
+
+    <p>
+      <b>Windows XP/2000/ME/98/95:</b>
+	  <ul>
+	    <!--li>MS Internet Explorer desde a versão 6.0</li-->
+	    <li>Mozilla Firefox desde a versão 1.5</li>
+	  </ul>
+	  
+    <p>
+      <b>Linux:</b>
+      <ul>
+	    <li>Mozilla Firefox desde a versão 1.5</li>
+      </ul>
+    </p>
+
+    <h2><a name="prefe">4. Menu Opções</a></h2>
+	( figura 3 )
+    <img src="templates/default/images/menu_preferencias.png" width="201" height="320" alt="Menu Preferências" align="left">
+    <br clear="all">
+    <br>
+
+	Para acessar o menu "Opções" ( conforme figura 3 ), basta dar um clique com o mouse e abrirá um menu com as opções de Adicionar Contato ( <b>veja <a href="#useradd">Adicionando um novo contato</a></b> ), Remover Contato ( <b>veja <a href="#userdel">Removendo um contato</a></b> ), 
+	Vcard - Informações Adicionais ( <b>veja <a href="#info_ad">Vcard - Informações Adicionais</a></b> ) e Preferências ( <b>veja <a href="#info_prefe">Preferências</a></b> ).
+    
+    <h2><a name="contact_list">5. Lista de Contatos</a></h2>
+	( figura 4 )
+    <img src="templates/default/images/lista_contatos1.png" width="236" height="242" alt="Lista de Contatos" align="left">
+    <br clear="all">
+    <br>
+    
+    Na lista de contato ( conforme figura 4 ), você visualizará seus contatos. 
+    <h3><a name="status">1. Status dos Usuários</a></h3>
+    
+    <img src="templates/default/images/available.gif" align="top"> - Contato Online<br>
+    <img src="templates/default/images/away.gif" align="top"> - Contato Ausente<br>
+    <img src="templates/default/images/dnd.gif" align="top"> - Contato Ocupado<br>
+    <img src="templates/default/images/unavailable.gif" align="top"> - Contato Offline<br>    
+
+    <h3><a name="useradd">2. Adicionando um novo contato </a></h3>
+	( figura 4.1 )
+	<br/>
+    <img src="templates/default/images/adicionar_contato.png" width="555" height="294" alt="Adicionar Contato" align="left">
+    <br clear="all">
+    <br>
+
+	Para adicinar um novo contato, clique na imagem <img src="templates/default/images/addBuddy1.gif"/>  e abrirá uma janela ( conforme figura 4.1 ) selecione uma organização e automaticamente carregará os usuários que tem permissão para usar o Mensageiro Instantâneo Expresso. 
+	Para escolher seu novo contato basta apenas dar um clique em cima do nome desejado. Logo abaixo, três campos são necessários para adicionar o novo contato, sendo que o campo "Email Expresso" e
+	"Nickname" são preenchidos no momento da escolha do novo contato e o campo grupo terá que ser definido. Tendo os três campos preenchidos basta clicar no Botão Adicionar ( <input type="button" value="Adicionar"> ) .
+
+	<h3><a name="userdel">3. Removendo um contato </a></h3>
+	( figura 4.2 )
+	<br/>	
+    <img src="templates/default/images/remover_contato.png" width="359" height="125" alt="Remover Contato" align="left">
+    <br clear="all">
+    <br>
+
+	Para remover um contato da sua lista ( conforme figura 4.2 ), selecione na lista e clique no botao Botï¿œo Remover ( <input type="button" value="Remover"> ) .
+    
+    <h2><a name="menu_right">6. Preferências Avançadas</a></h2>
+	( figura 4.3 )
+	<br/>
+    <img src="templates/default/images/menu_right.png" width="212" height="126" alt="Preferï¿œncias Avanï¿œadas" align="left">
+    <br clear="all"/>
+    <br/>
+
+    Clicando com o botão direito do mouse, você tera acesso a um menu ( conforme figura 3.3 ), com as seguintes funcionalidades :
+
+    <ul>
+      <li>Apelido: Renomeia o Apelido ( Nickname ) do seu contato
+      <li>Grupo: Muda seu contato para um novo grupo
+      <li>Remover: Exclui o contato
+      <li>(Re)-requisitar Autorização: Requisitar autorização
+      <li>Ver Info: Visualize as informações dos seus contatos
+    </ul>
+
+    <h2><a name="info_ad">7. Vcard - Informações Adicionais</a></h2>
+	( figura 5 )
+    <img src="templates/default/images/info_adicionais.png" width="480" height="227" alt="Informações Adicionais" align="left">
+    <br clear="all"/>
+    <br/>
+
+	Efetuando o cadastro ( conforme figura 5 ) com seus dados, os contatos que você adicionou em sua lista poderão ver essas informações. Cada contato cadastrado em sua lista
+	também possui esta opção ( <b>veja <a href="#menu_right">Preferências Avançadas</a></b>, opção Ver Info).
+
+    <h2><a name="info_prefe">8. Preferências</a></h2>
+	( figura 6 )
+    <img src="templates/default/images/preferencias.png" width="405" height="284" alt="Preferências" align="left">
+    <br clear="all"/>
+    <br/>
+
+	Personalize seu tempo para ficar ausente, se em sua lista de contato aparecerá seus contatos offline e um tipo de aviso para uma nova mensagem. 
+
+    <h2><a name="troca_mens">9. Troca de Mensagens</a></h2>
+	( figura 7 )
+    <img src="templates/default/images/troca_mensagem.png" width="311" height="308" alt="Troca de Mensagens" align="left">
+    <br clear="all"/>
+    <br/>
+
+	Clicando com o mouse em cima do nome do contato escolhido, abrirá uma janela ( conforme figura 7 ), para a troca de mensagens. Nessa mesma janela existe um menu, o qual é possível
+	configurar o formato da Fonte como : <b>Negrito</b>, <i>Itálico</i> e a cor. Você também pode enviar os Smiles, clicando em <img src="templates/default/images/emoticonlabel.gif">
+	e acessar as informações do contato clicando em <img src="templates/default/images/profileBuddy.gif">.
+
+    <h2><a name="troca_status">10. Troca de Status</a></h2>
+	( figura 8 )
+    <img src="templates/default/images/troca_status.png" width="449" height="313" alt="Troca de Status" align="left">
+    <br clear="all"/>
+    <br/>
+
+	Para mudar o seu status basta dar um click em cima do status desejado.
+
+	<br/><br/>
+
+    <img src="templates/default/images/available.gif" align="top"> - Online <br/>
+    <img src="templates/default/images/away.gif" align="top"> - Ausente <br/>
+    <img src="templates/default/images/dnd.gif" align="top"> - Ocupado <br/>
+    <img src="templates/default/images/unavailable.gif" align="top"> - Offline - Não recebe mensagem <br/>    
+    <img src="templates/default/images/icon_edit.gif" align="top"> - Mensagem - Personalize sua mensagem <br/>        
+
+    <hr noshade>
+<!-- END index -->
Index: trunk/instant_messenger/templates/default/css/common.css
===================================================================
--- trunk/instant_messenger/templates/default/css/common.css	(revision 260)
+++ trunk/instant_messenger/templates/default/css/common.css	(revision 260)
@@ -0,0 +1,59 @@
+/* IM:WINDOW - ADD USER */
+
+select.add_user
+{
+   font: 8pt Verdana, Arial, Helvetica, sans-serif;   
+   font-weight:   normal;
+   border-color:  #809aa9;
+   border-width:  1px 1px;
+   border-style:  solid;
+   margin:        2px 2px 2px 2px;
+   width:    	  493px;
+
+
+}
+
+table.add_user
+{
+	margin-left:	5px;
+	margin-top:		5px;
+}
+
+td.add_user
+{
+	font: 8pt Verdana, Arial, Helvetica, sans-serif;
+}
+
+.font_menu
+{
+	font: 8pt Verdana, Arial, Helvetica, sans-serif;
+}
+
+.layer
+{
+	border:	1px solid #b4cfe5;
+	margin:	2px;
+}
+
+/* Disconnected */
+
+.disconnected
+{
+	font: 9pt Verdana, Arial, Helvetica, sans-serif;
+	border: 1px solid #b4cfe5;
+	margin: 2px;
+}
+
+/* Vcard */
+
+.vcard_user
+{
+	font: 9pt Verdana, Arial, Helvetica, sans-serif;
+	margin:10px;
+}
+
+.vcard_contact
+{
+	font: 9pt Verdana, Arial, Helvetica, sans-serif;
+	margin:10px;
+}
Index: trunk/instant_messenger/templates/default/css/chat.css
===================================================================
--- trunk/instant_messenger/templates/default/css/chat.css	(revision 260)
+++ trunk/instant_messenger/templates/default/css/chat.css	(revision 260)
@@ -0,0 +1,112 @@
+/***** Chat  *****/
+
+.avatar
+{
+	width:	49px;
+	height:	65px;
+	margin: 2px;
+	border: 1px solid;
+	border-color: #cecece;
+}
+
+.button_bold
+{
+	background: url(../images/bold.gif) no-repeat top center;
+	height: 20px; 
+	width:  25px; 
+	float: left;
+	position: relative;
+	margin-top: 2px;
+	margin-right: 2px;
+	cursor: pointer;
+}
+
+.button_italic
+{
+	background: url(../images/italicize.gif) no-repeat top center;
+	height: 20px; 
+	width:  25px; 
+	float: left;
+	position: relative;
+	margin-top: 2px;
+	margin-right: 2px;
+	cursor: pointer;
+}
+
+.button_underline
+{
+	background: url(../images/underline.gif) no-repeat top center;
+	height: 20px;
+	width:  25px;
+	float: left;
+	margin-top: 2px;
+	margin-right: 2px;
+	position: relative;
+	cursor: pointer;
+}
+
+.button_color
+{
+	background: url(../images/color.gif) no-repeat top center;
+	height: 20px;
+	width: 25px;
+	float: left;
+	position: relative;
+	margin-top: 2px;
+	margin-right: 2px;
+	cursor: pointer;
+}
+
+.button_emoticons
+{
+	background: url(../images/emoticonlabel.gif) no-repeat top center;
+	height: 19px;
+	width: 21px;
+	float: left;
+	position: relative;
+	margin-top: 2px;
+	cursor: pointer;
+}
+
+.button_profile
+{
+	background: url(../images/profileBuddy.gif) no-repeat top center;
+	height: 20px;
+	width: 25px;
+	float: left;
+	position: relative;
+	margin-top: 2px;
+	margin-left: 2px;
+	cursor: pointer;
+}
+
+.history
+{
+	background: #fff;
+	border: 1px solid;
+	border-color: #b3b3b3 #cecece #cecece #b3b3b3;
+	width:	289px;
+	height:	180px;
+	cursor: text;
+	overflow: auto;
+}
+
+.messages
+{
+	background: #fff;
+	border: 1px solid;
+	border-color: #b3b3b3 #cecece #cecece #b3b3b3;
+	width:	auto;	/*289px;*/ 
+	height: 46px; 
+	cursor: text;
+
+
+}
+
+.toolbar_buttons
+{
+	width:289px; 
+	height:29px; 
+}
+
+/***** Chat  *****/
Index: trunk/instant_messenger/templates/default/css/window.css
===================================================================
--- trunk/instant_messenger/templates/default/css/window.css	(revision 260)
+++ trunk/instant_messenger/templates/default/css/window.css	(revision 260)
@@ -0,0 +1,80 @@
+/***** Cantos Arredondados *****/
+.corner { display: block; }
+.corner * { display: block; height: 1px; overflow: hidden; font-size: 0; }
+.corner1 { padding: 0 1px; margin: 0 3px; }
+.corner2 { padding: 0 1px; margin: 0 1px; }
+.corner3 { margin: 0 1px; }
+.blackcorner *{ background: #b4cfe5; }
+/***** Cantos Arredondados *****/
+
+/***** Window  *****/
+.window
+{
+	font: 10pt Verdana, Arial, Helvetica, sans-serif;
+	margin: 0px;
+	position: absolute;
+}
+
+#instant_messenger_content .body
+{
+	background: #b4cfe5;
+}
+
+#instant_messenger_content .titulo
+{
+	font: 8pt Verdana, Arial, Helvetica, sans-serif;
+	background: #b4cfe5;
+	margin: 0px 0px;
+	padding: 0px 0px 0px 5px;
+	cursor: pointer;
+	height: 20px;
+}
+
+#instant_messenger_content .titulo div div
+{
+	cursor: pointer;
+	float: left;
+	margin-right: 2px;
+	position: relative;
+	width: 13px;
+	height:13px;
+}
+
+#instant_messenger_content .button_minimize
+{
+	background: #b4cfe5 url(../images/window_min.gif) no-repeat top center;
+}
+
+#instant_messenger_content .button_maximize1
+{
+	background: #b4cfe5 url(../images/window_max1.gif) no-repeat top center;
+}
+
+#instant_messenger_content .button_maximize
+{
+	background: #b4cfe5 url(../images/window_max.gif) no-repeat top center;
+}
+
+#instant_messenger_content .button_close
+{
+	background: #b4cfe5 url(../images/window_close.gif) no-repeat top center;
+	margin-right: 0px;
+}
+
+#instant_messenger_content .content
+{
+	font: 9pt Verdana, Arial, Helvetica, sans-serif;
+	background: #fff;
+	border: 1px solid;
+	border-color: #b3b3b3 #c1d6eb #c1d6eb #b3b3b3;
+	margin: 0px 5px;
+	cursor: default;
+}
+
+#instant_messenger_content .rodape
+{
+	background: #b4cfe5 url(../images/handle.gif) no-repeat bottom right;
+	height: 15px;
+}
+
+/***** Window - *****/