Index: trunk/instant_messenger/js/templates.packer.js
===================================================================
--- trunk/instant_messenger/js/templates.packer.js	(revision 260)
+++ trunk/instant_messenger/js/templates.packer.js	(revision 267)
@@ -1,1 +1,1 @@
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(c/a))+String.fromCharCode(c%a+161)};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\[\xa1-\xff]+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(e(c),'g'),k[c])}}return p}('² ¢¡(){§.µ=Ê £€();§.Ô=££;§.£¥=ò;§.¢°=Ê £Š}¢¡.£§={"ñ":²(){Š ¯="<¢¯>"+"<È>"+"<ª>"+¡.£("¢š £¢")+"</ª>"+"</È>"+"<¢®>"+"<ª>"+¡.£("£¡ ä")+"</ª>"+"<«>"+¡.£("í")+"</«>"+"<­>"+¡.£("¢ä")+"</­>"+"<°>"+¡.£("¢×")+"</°>"+"<Ž>"+¡.£("×")+"</Ž>"+"</¢®>"+"</¢¯>";¶.Ë(\'¢±\',\'Å\',\'<±>.:: ¢ú ¢ü ¢ã ::.</±>\',\'Ö.¬\',\'¢ý\',©,©,©);¶.É(\'¢±\').Ç=§.µ.·(¯,\'ñ.¬\');¡.¢ÿ()},"è":²(¢){Š Ý="<è>"+"<ª>¢þ</ª>"+"<«>£š</«>"+"<­>£©</­>"+"<°>£³</°>"+"<Ž>£²</Ž>"+"<À>£Ž</À>"+"<¿>£µ</¿>"+"<Ì>£¶</Ì>"+"<Â>"+º+"</Â>"+"<¢²>"+¢+"</¢²>"+"</è>";Ó.Ñ(¢+\'¹\',§.µ.·(Ý,\'è.¬\'));¥.€(¢+\'¹\').š.È=¥.€(¢+\'¢Å\').ç+ð;¥.€(¢+\'¹\').š.î=¥.€(¢+\'¢Å\').ï+ð;¥.€(¢+\'¹\').š.Ï=§.Ô++;¥.€(¢+\'¹\').š.Ò="Î"},"ì":²(){œ(®.»(\'£±\')!=ò){Š ¯="<ì>"+"<ª>£°</ª>"+"<«>¢»</«>"+"<­>£«</­>"+"<°>£ª</°>"+"<Ž>¢ù</Ž>"+"<¢³>"+º+"ž/Á/Æ/£­.Ú</¢³>"+"<¢À>"+º+"ž/Á/Æ/£¯.Ú</¢À>"+"<¢Ž>"+º+"ž/Á/Æ/£·.Ú</¢Ž>"+"<¢µ>"+º+"ž/Á/Æ/¢í.Ú</¢µ>"+"<¢Œ>"+º+"ž/Á/Æ/¢æ.Ú</¢Œ>"+"</ì>";Ó.Ñ(\'Ä\',§.µ.·(¯,\'ì.¬\'));®.»(\'Ä\').š.È=®.»(\'Ä\').ç+¢ï;®.»(\'Ä\').š.î=®.»(\'Ä\').ï+5;®.»(\'Ä\').š.Ï=§.Ô++;®.»(\'Ä\').š.Ò="Î"}ù ¢ø(\'¢ò ¢ð ¢÷ ¢¢ ¢ö ....\')},"¢§":²(){Š ¯="<¢º>"+"<ª>¢õ\\ý\\õ</ª>"+"<«>¢ô ¢ñ ¢ó</«>"+"<­>¢»</­>"+"<°>¢å ¢ê ¢ì ¢¢</°>"+"<Ž>¢ë</Ž>"+"<À>£¬ £ó ¢¢ £ß £á</À>"+"<¿>£â</¿>"+"<Ì>£ã £Þ</Ì>"+"<¢œ>"+¡.£("¢Þ")+"</¢œ>"+"<¢Ÿ>"+¡.£("×")+"</¢Ÿ> "+"</¢º>";¶.Ë(\'¢¹\',\'Å\',\'<±>.:: \'+¡.£("£Ý £Ø")+\' ::.</±>\',\'Ö.¬\',\'£×\',©,©,©);¶.É(\'¢¹\').Ç=§.µ.·(¯,\'¢§.¬\');¡.£Ú()},"ã":²(¢¶,¢){£Ü{Š ¢·=¢¶;œ(¢·.£ä>1){®.£å=Ê ô("Û Œ");®.¢ž=Ê ô("Û Œ");§.¢à(¢);®.¢ž=Ê ô("Û ©")}ù{§.¢¿(¢)}}£ï(e){}},"¢¿":²(¢){Š ¢Ë=§;œ(!(¡.£ð[¢]))¡.¢Ú(¢,Œ);œ(¥.€(\'£ñ\'+¢).ó!=£ò.ó){¶.Ë(¢,\'Å\',\'<±>.:: ö £í ::.</±>\',\'£ì.¬\',\'£ç\',©,©,©);¥.€(¢+\'¢â\').ó=º+"/ž/Á/Æ/£æ.£è";œ(¥.€(\'â\'+¢)!=ò)¥.€(\'â\'+¢).ø.£é(¥.€(\'â\'+¢));Š ¢Ç=¶.É(¢);Š ³=®.£ë(\'³\');³.Ÿ=\'â\'+¢;³.š.£Ö=\'£Õ\';³.š.£Â=\'£Á\';³.š.£Ã=\'0\';³.š.¢Á=\'0\';³.š.¢Â=\'0\';Š ¢Æ=¢Ç.¢È.¢È.¢É.¢É;¢Æ.£À(³);³.Í.®.£¿(\'<¢Ä><Õ Ÿ="\'+¢+\'" š="¢Á:¢Ã;¢Â:¢Ã"></Õ></¢Ä>\');³.Í.®.£Œ();³.Í.®.£Ÿ="£œ";³.Í.£Æ();² ú(e){Š Ü=e.¢«;Š ¢¬=(e.æ)?e.æ.Ÿ:e.¢ª.¢©(\'Õ\').ü(0).Ÿ;¢­(Ü){¢£ ¢Ê:œ(!e.¢Ý)¢Ë.¢°.£Ð(\'£Ò\',{\'£Ó\':³.Í.®.¢©(\'Õ\').ü(0),\'£Ô\':¢});Û Œ;Ø;¢£ £Ï:¶.£Î(¢¬);Ø;Á:Ø}}² û(e){Š Ü=e.¢«;Š ¢Ì=(e.æ)?e.æ.Ÿ:e.¢ª.¢©(\'Õ\').ü(0);¢­(Ü){¢£ ¢Ê:œ(!e.¢Ý)¢Ì.Ç=\'\';Û Œ;Ø;Á:Ø}}Š Ã=³.Í.®;œ(Ã.¢Š){Ã.¢Š(\'£Ì\',ú,Œ);Ã.¢Š(\'£Í\',û,Œ)}ù œ(Ã.÷){Ã.÷(\'£Ë\',ú);Ã.÷(\'£Ê\',û)}¡.£È(¢+"¢â")}},"¢à":²(¢){Š ¯="<ã>"+"<ª>"+¡.£("í")+"</ª>"+"<«>"+¡.£("¢ä")+"</«>"+"<­>"+¡.£("ÿ")+"</­>"+"<°>"+¡.£("£É £Ñ £Ç")+"</°>"+"<Ž>"+¡.£("£» £¹")+"</Ž>"+"<¢Ò>"+¢+"</¢Ò>"+"<Â>"+º+"</Â>"+"</ã>";Š ¢Ù=ß(¥.€(\'å\'+¢).ï)-ß(¥.€(\'å\'+¢).ø.£º);Š ¢Ô=ß(¥.€(\'å\'+¢).ç)-ß(¥.€(\'å\'+¢).ø.£Å);Ó.Ñ(\'Ù\',§.µ.·(¯,\'ã.¬\'));¥.€(\'Ù\').š.Ï=\'£Ä\';¥.€(\'Ù\').š.È=¢Ô;¥.€(\'Ù\').š.î=¢Ù+£ê;¥.€(\'Ù\').š.Ò=\'Î\'},"à":²(á){Š ¯="<à>"+"<ª>"+¡.£("¢× ä")+"</ª>"+"<¢Ö>ž.ñ();</¢Ö>"+"<«>"+¡.£("ÿ ä")+"</«>"+"<¢Ñ>ž.Ð();</¢Ñ>"+"<­>"+¡.£("£î")+"</­>"+"<¢Ï>¡.¢Ú(\'§\',©)</¢Ï>"+"<°>"+¡.£("£Û")+"</°>"+"<¢Ü>ž.¢§()</¢Ü>"+"<Â>"+º+"</Â>"+"</à>";Ó.Ñ(á,§.µ.·(¯,\'à.¬\'));®.»(á).š.Ï=§.Ô++;®.»(á).š.Ò="Î"},"Ð":²(){Š ¯="<Ð>"+"<ª>"+¡.£("ä")+"</ª>"+"<«>"+¡.£("ÿ")+"</«>"+"<­>"+¡.£("×")+"</­>"+"</Ð>";¶.Ë(\'¢ß\',\'Å\',\'<±>.:: £Ù ¢ã ::.</±>\',\'Ö.¬\',\'£ž\',©,©,©);¶.É(\'¢ß\').Ç=§.µ.·(¯,\'Ð.¬\');¡.£à()},"Þ":²(¢){Š Ý="<Þ>"+"<Â>"+º+"</Â>"+"<¢á>"+¢+"</¢á>"+"</Þ>";Ó.Ñ(¢+\'¹\',§.µ.·(Ý,\'Þ.¬\'));¥.€(¢+\'¹\').š.È=¥.€(¢+\'¢Ð\').ç+ð;¥.€(¢+\'¹\').š.î=¥.€(¢+\'¢Ð\').ï+ð;¥.€(¢+\'¹\').š.Ï=§.Ô++;¥.€(¢+\'¹\').š.Ò="Î"},"¢€":²(ë){¡.ê=Œ;Š ±="¢Õ\\ý\\õ ¢î ¢è - ö";Š ¯="<¢€>"+"<ª>"+¡.£("¢Ø ¢Ó")+"</ª>"+"<«>"+¡.£("í")+"</«>"+"<­>"+¡.£("¢š")+"</­>"+"<°>"+¡.£("¢Î")+"</°>"+"<Ž>"+¡.£("¢Í")+"</Ž>"+"<À>"+¡.£("¢Û")+"</À>"+"<¿>"+¡.£("×")+"</¿>"+§.µ.·(ë,\'ê.¬\')+"<Ÿ>¢¥</Ÿ>"+"</¢€>";¶.Ë(\'¢¥\',\'Å\',\'<±>.:: \'+±+\' ::.</±>\',\'Ö.¬\',\'¢ç\',©,©,©);¶.É(\'¢¥\').Ç=§.µ.·(¯,\'¢é.¬\')},"é":²(ë){¡.ê=Œ;Š ±="¢Õ\\ý\\õ £® - ö";Š ¯="<é>"+"<ª>"+¡.£("¢Ø ¢Ó")+"</ª>"+"<«>"+¡.£("í")+"</«>"+"<­>"+¡.£("¢š")+"</­>"+"<°>"+¡.£("¢Î")+"</°>"+"<Ž>"+¡.£("¢Í")+"</Ž>"+"<À>"+¡.£("¢Û")+"</À>"+"<¿>"+¡.£("¢Þ")+"</¿>"+"<Ì>"+¡.£("×")+"</Ì>"+§.µ.·(ë,\'ê.¬\')+"<Ÿ>þ</Ÿ>"+"</é>";¶.Ë(\'þ\',\'Å\',\'<±>.:: \'+±+\' ::.</±>\',\'Ö.¬\',\'¢û\',©,©,©);¶.É(\'þ\').Ç=§.µ.·(¯,\'é.¬\')}};Š ž=Ê ¢¡();',95,273,'im|pJid|get_lang|byId|func|var|this|style|true|lang1|lang2|xsl|lang3|document|XmlDoc|lang4|title|function|iframe|lang5|xtools|im_window|parse|templates|__button_dest|path_im|getElementById|false|if|id|lang7|lang6|default|path|obj|fast_menu_im|instant_messenger_content|images|innerHTML|top|elementC|new|load|lang8|contentWindow|absolute|zIndex|remove_user|menu|position|menu_action|zValue|body|window|Close|break|im_sub_menu|gif|return|evt|Xmlsmiles|smiles|parseInt|preferences|pElement|iframe_|options|Contact|sub_|srcElement|offsetTop|colors|vcard_user|vcard|pXml|fast_menu|Nickname|left|offsetLeft|10|add_user|null|src|Function|x41es|Expresso|attachEvent|parentNode|else|keypress_handler|keyup_handler|item|x41|vcard_user_im|Remove|Templates|de|case|vcard_contact|vcard_contact_im|addEventListener|mysettings|Organization|getElementsByTagName|target|keyCode|pId|switch|table|adduser|jabber|add_user_im|name|img1|img3|img4|pEv|pEvent|onmousedown|my_settings_im|settings|Ausente|img5|lang9|lang10|options_button_left|img2|margin|padding|0px|html|__button_color|_0|win|firstChild|nextSibling|13|_1|_2|Role|Sector|function3|__button_emoticons|function2|jid|Name|posY|Informa|function1|Add|Full|posX|request_vcard|Birthday|function4|shiftKey|Save|remove_user_im|options_button_right|pjid|__avatar|Contatos|Group|Ficar|icon_edit|390|Contato|vcard_contacts|ausente|minutos|depois|unavailable|do|60|carregando|amigos|Aguarde|desconectados|Exibir|Op|contatos|lista|alert|Mensagem|Adicionar|470|Novos|545|Black|ldap|Jid|Unit|100|XTools|documentMousedown|Jabber|prototype|Silver|Yellow|Offline|Ocupado|Ativar|available|Pessoais|away|Online|__contacts_im___window_master|Pink|Red|Green|Blue|Magenta|dnd|350|Info|scrollLeft|See|close|On|designMode|write|appendChild|46px|height|border|99999|scrollTop|focus|permission|ldap_photo|It|onkeyup|onkeypress|keypress|keyup|window_close|27|doIt|requisition|sendMessage|message|from|290px|width|400|Settings|Remover|get_preferences|Preferences|try|My|Tela|mensagens|get_contacts|recebidas|Normal|Treme|button|oncontextmenu|photo|310|png|removeChild|20|createElement|chat|Messenger|Vcard|catch|nickname_contacts|img_|im_unavailable|aviso'.split('|'),0,{}))
+eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(c/a))+String.fromCharCode(c%a+161)};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\[\xa1-\xff]+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(e(c),'g'),k[c])}}return p}('² ¢¡(){§.µ=Ê £€();§.Ô=££;§.£¥=ò;§.¢°=Ê £Š}¢¡.£§={"ñ":²(){Š ¯="<¢¯>"+"<È>"+"<ª>"+¡.£("¢š £¢")+"</ª>"+"</È>"+"<¢®>"+"<ª>"+¡.£("£¡ ä")+"</ª>"+"<«>"+¡.£("í")+"</«>"+"<­>"+¡.£("¢ä")+"</­>"+"<°>"+¡.£("¢×")+"</°>"+"<Ž>"+¡.£("×")+"</Ž>"+"</¢®>"+"</¢¯>";¶.Ë(\'¢±\',\'Å\',\'<±>.:: ¢ú ¢ü ¢ã ::.</±>\',\'Ö.¬\',\'¢ý\',©,©,©);¶.É(\'¢±\').Ç=§.µ.·(¯,\'ñ.¬\');¡.¢ÿ()},"è":²(¢){Š Ý="<è>"+"<ª>¢þ</ª>"+"<«>£š</«>"+"<­>£©</­>"+"<°>£³</°>"+"<Ž>£²</Ž>"+"<À>£Ž</À>"+"<¿>£µ</¿>"+"<Ì>£¶</Ì>"+"<Â>"+º+"</Â>"+"<¢²>"+¢+"</¢²>"+"</è>";Ó.Ñ(¢+\'¹\',§.µ.·(Ý,\'è.¬\'));¥.€(¢+\'¹\').š.È=¥.€(¢+\'¢Å\').ç+ð;¥.€(¢+\'¹\').š.î=¥.€(¢+\'¢Å\').ï+ð;¥.€(¢+\'¹\').š.Ï=§.Ô++;¥.€(¢+\'¹\').š.Ò="Î"},"ì":²(){Œ(®.»(\'£±\')!=ò){Š ¯="<ì>"+"<ª>£°</ª>"+"<«>¢»</«>"+"<­>£«</­>"+"<°>£ª</°>"+"<Ž>¢ù</Ž>"+"<¢³>"+º+"ž/Á/Æ/£­.Ú</¢³>"+"<¢À>"+º+"ž/Á/Æ/£¯.Ú</¢À>"+"<¢Ž>"+º+"ž/Á/Æ/£·.Ú</¢Ž>"+"<¢µ>"+º+"ž/Á/Æ/¢í.Ú</¢µ>"+"<¢Œ>"+º+"ž/Á/Æ/¢æ.Ú</¢Œ>"+"</ì>";Ó.Ñ(\'Ä\',§.µ.·(¯,\'ì.¬\'));®.»(\'Ä\').š.È=®.»(\'Ä\').ç+¢ï;®.»(\'Ä\').š.î=®.»(\'Ä\').ï+5;®.»(\'Ä\').š.Ï=§.Ô++;®.»(\'Ä\').š.Ò="Î"}ù ¢ø(\'¢ò ¢ð ¢÷ ¢¢ ¢ö ....\')},"¢§":²(){Š ¯="<¢º>"+"<ª>¢õ\\ý\\õ</ª>"+"<«>¢ô ¢ñ ¢ó</«>"+"<­>¢»</­>"+"<°>¢å ¢ê ¢ì ¢¢</°>"+"<Ž>¢ë</Ž>"+"<À>£¬ £ó ¢¢ £ß £á</À>"+"<¿>£â</¿>"+"<Ì>£ã £Þ</Ì>"+"<¢œ>"+¡.£("¢Þ")+"</¢œ>"+"<¢Ÿ>"+¡.£("×")+"</¢Ÿ> "+"</¢º>";¶.Ë(\'¢¹\',\'Å\',\'<±>.:: \'+¡.£("£Ý £Ø")+\' ::.</±>\',\'Ö.¬\',\'£×\',©,©,©);¶.É(\'¢¹\').Ç=§.µ.·(¯,\'¢§.¬\');¡.£Ú()},"ã":²(¢¶,¢){£Ü{Š ¢·=¢¶;Œ(¢·.£ä>1){®.£å=Ê ô("Ü Ÿ");®.¢ž=Ê ô("Ü Ÿ");§.¢à(¢);®.¢ž=Ê ô("Ü ©")}ù{§.¢¿(¢)}}£ï(e){}},"¢¿":²(¢){Š ¢Ë=§;Œ(!(¡.£ð[¢]))¡.¢Ú(¢,Ÿ);Œ(¥.€(\'£ñ\'+¢).ó!=£ò.ó){¶.Ë(¢,\'Å\',\'<±>.:: ö £í ::.</±>\',\'£ì.¬\',\'£ç\',©,©,©);¥.€(¢+\'¢â\').ó=º+"/ž/Á/Æ/£æ.£è";Œ(¥.€(\'â\'+¢)!=ò)¥.€(\'â\'+¢).ø.£é(¥.€(\'â\'+¢));Š ¢Ç=¶.É(¢);Š ³=®.£ë(\'³\');³.œ=\'â\'+¢;³.š.£Ö=\'£Õ\';³.š.£Â=\'£Á\';³.š.£Ã=\'0\';³.š.¢Á=\'0\';³.š.¢Â=\'0\';Š ¢Æ=¢Ç.¢È.¢È.¢É.¢É;¢Æ.£À(³);³.Í.®.£¿(\'<¢Ä><Õ œ="\'+¢+\'" š="¢Á:¢Ã;¢Â:¢Ã"></Õ></¢Ä>\');³.Í.®.£Œ();³.Í.®.£Ÿ="£œ";³.Í.£Æ();² ú(e){Š Û=e.¢«;Š ¢¬=(e.æ)?e.æ.œ:e.¢ª.¢©(\'Õ\').ü(0).œ;¢­(Û){¢£ ¢Ê:Œ(!e.¢Ý)¢Ë.¢°.£Ð(\'£Ò\',{\'£Ó\':³.Í.®.¢©(\'Õ\').ü(0),\'£Ô\':¢});Ø;¢£ £Ï:¶.£Î(¢¬);Ø;Á:Ø}}² û(e){Š Û=e.¢«;Š ¢Ì=(e.æ)?e.æ.œ:e.¢ª.¢©(\'Õ\').ü(0);¢­(Û){¢£ ¢Ê:Œ(!e.¢Ý)¢Ì.Ç=\'\';Ü Ÿ;Ø;Á:Ø}}Š Ã=³.Í.®;Œ(Ã.¢Š){Ã.¢Š(\'£Ì\',ú,Ÿ);Ã.¢Š(\'£Í\',û,Ÿ)}ù Œ(Ã.÷){Ã.÷(\'£Ë\',ú);Ã.÷(\'£Ê\',û)}¡.£È(¢+"¢â")}},"¢à":²(¢){Š ¯="<ã>"+"<ª>"+¡.£("í")+"</ª>"+"<«>"+¡.£("¢ä")+"</«>"+"<­>"+¡.£("ÿ")+"</­>"+"<°>"+¡.£("£É £Ñ £Ç")+"</°>"+"<Ž>"+¡.£("£» £¹")+"</Ž>"+"<¢Ò>"+¢+"</¢Ò>"+"<Â>"+º+"</Â>"+"</ã>";Š ¢Ù=ß(¥.€(\'å\'+¢).ï)-ß(¥.€(\'å\'+¢).ø.£º);Š ¢Ô=ß(¥.€(\'å\'+¢).ç)-ß(¥.€(\'å\'+¢).ø.£Å);Ó.Ñ(\'Ù\',§.µ.·(¯,\'ã.¬\'));¥.€(\'Ù\').š.Ï=\'£Ä\';¥.€(\'Ù\').š.È=¢Ô;¥.€(\'Ù\').š.î=¢Ù+£ê;¥.€(\'Ù\').š.Ò=\'Î\'},"à":²(á){Š ¯="<à>"+"<ª>"+¡.£("¢× ä")+"</ª>"+"<¢Ö>ž.ñ();</¢Ö>"+"<«>"+¡.£("ÿ ä")+"</«>"+"<¢Ñ>ž.Ð();</¢Ñ>"+"<­>"+¡.£("£î")+"</­>"+"<¢Ï>¡.¢Ú(\'§\',©)</¢Ï>"+"<°>"+¡.£("£Û")+"</°>"+"<¢Ü>ž.¢§()</¢Ü>"+"<Â>"+º+"</Â>"+"</à>";Ó.Ñ(á,§.µ.·(¯,\'à.¬\'));®.»(á).š.Ï=§.Ô++;®.»(á).š.Ò="Î"},"Ð":²(){Š ¯="<Ð>"+"<ª>"+¡.£("ä")+"</ª>"+"<«>"+¡.£("ÿ")+"</«>"+"<­>"+¡.£("×")+"</­>"+"</Ð>";¶.Ë(\'¢ß\',\'Å\',\'<±>.:: £Ù ¢ã ::.</±>\',\'Ö.¬\',\'£ž\',©,©,©);¶.É(\'¢ß\').Ç=§.µ.·(¯,\'Ð.¬\');¡.£à()},"Þ":²(¢){Š Ý="<Þ>"+"<Â>"+º+"</Â>"+"<¢á>"+¢+"</¢á>"+"</Þ>";Ó.Ñ(¢+\'¹\',§.µ.·(Ý,\'Þ.¬\'));¥.€(¢+\'¹\').š.È=¥.€(¢+\'¢Ð\').ç+ð;¥.€(¢+\'¹\').š.î=¥.€(¢+\'¢Ð\').ï+ð;¥.€(¢+\'¹\').š.Ï=§.Ô++;¥.€(¢+\'¹\').š.Ò="Î"},"¢€":²(ë){¡.ê=Ÿ;Š ±="¢Õ\\ý\\õ ¢î ¢è - ö";Š ¯="<¢€>"+"<ª>"+¡.£("¢Ø ¢Ó")+"</ª>"+"<«>"+¡.£("í")+"</«>"+"<­>"+¡.£("¢š")+"</­>"+"<°>"+¡.£("¢Î")+"</°>"+"<Ž>"+¡.£("¢Í")+"</Ž>"+"<À>"+¡.£("¢Û")+"</À>"+"<¿>"+¡.£("×")+"</¿>"+§.µ.·(ë,\'ê.¬\')+"<œ>¢¥</œ>"+"</¢€>";¶.Ë(\'¢¥\',\'Å\',\'<±>.:: \'+±+\' ::.</±>\',\'Ö.¬\',\'¢ç\',©,©,©);¶.É(\'¢¥\').Ç=§.µ.·(¯,\'¢é.¬\')},"é":²(ë){¡.ê=Ÿ;Š ±="¢Õ\\ý\\õ £® - ö";Š ¯="<é>"+"<ª>"+¡.£("¢Ø ¢Ó")+"</ª>"+"<«>"+¡.£("í")+"</«>"+"<­>"+¡.£("¢š")+"</­>"+"<°>"+¡.£("¢Î")+"</°>"+"<Ž>"+¡.£("¢Í")+"</Ž>"+"<À>"+¡.£("¢Û")+"</À>"+"<¿>"+¡.£("¢Þ")+"</¿>"+"<Ì>"+¡.£("×")+"</Ì>"+§.µ.·(ë,\'ê.¬\')+"<œ>þ</œ>"+"</é>";¶.Ë(\'þ\',\'Å\',\'<±>.:: \'+±+\' ::.</±>\',\'Ö.¬\',\'¢û\',©,©,©);¶.É(\'þ\').Ç=§.µ.·(¯,\'é.¬\')}};Š ž=Ê ¢¡();',95,273,'im|pJid|get_lang|byId|func|var|this|style|true|lang1|lang2|xsl|lang3|document|XmlDoc|lang4|title|function|iframe|lang5|xtools|im_window|parse|templates|__button_dest|path_im|getElementById|if|id|false|lang7|lang6|default|path|obj|fast_menu_im|instant_messenger_content|images|innerHTML|top|elementC|new|load|lang8|contentWindow|absolute|zIndex|remove_user|menu|position|menu_action|zValue|body|window|Close|break|im_sub_menu|gif|evt|return|Xmlsmiles|smiles|parseInt|preferences|pElement|iframe_|options|Contact|sub_|srcElement|offsetTop|colors|vcard_user|vcard|pXml|fast_menu|Nickname|left|offsetLeft|10|add_user|null|src|Function|x41es|Expresso|attachEvent|parentNode|else|keypress_handler|keyup_handler|item|x41|vcard_user_im|Remove|Templates|de|case|vcard_contact|vcard_contact_im|addEventListener|mysettings|Organization|getElementsByTagName|target|keyCode|pId|switch|table|adduser|jabber|add_user_im|name|img1|img3|img4|pEv|pEvent|onmousedown|my_settings_im|settings|Ausente|img5|lang9|lang10|options_button_left|img2|margin|padding|0px|html|__button_color|_0|win|firstChild|nextSibling|13|_1|_2|Role|Sector|function3|__button_emoticons|function2|jid|Name|posY|Informa|function1|Add|Full|posX|request_vcard|Birthday|function4|shiftKey|Save|remove_user_im|options_button_right|pjid|__avatar|Contatos|Group|Ficar|icon_edit|390|Contato|vcard_contacts|ausente|minutos|depois|unavailable|do|60|carregando|amigos|Aguarde|desconectados|Exibir|Op|contatos|lista|alert|Mensagem|Adicionar|470|Novos|545|Black|ldap|Jid|Unit|100|XTools|documentMousedown|Jabber|prototype|Silver|Yellow|Offline|Ocupado|Ativar|available|Pessoais|away|Online|__contacts_im___window_master|Pink|Red|Green|Blue|Magenta|dnd|350|Info|scrollLeft|See|close|On|designMode|write|appendChild|46px|height|border|99999|scrollTop|focus|permission|ldap_photo|It|onkeyup|onkeypress|keypress|keyup|window_close|27|doIt|requisition|sendMessage|message|from|290px|width|400|Settings|Remover|get_preferences|Preferences|try|My|Tela|mensagens|get_contacts|recebidas|Normal|Treme|button|oncontextmenu|photo|310|png|removeChild|20|createElement|chat|Messenger|Vcard|catch|nickname_contacts|img_|im_unavailable|aviso'.split('|'),0,{}))