Index: /trunk/contactcenter/js/ccIEContacts.js
===================================================================
--- /trunk/contactcenter/js/ccIEContacts.js	(revision 119)
+++ /trunk/contactcenter/js/ccIEContacts.js	(revision 270)
@@ -3,5 +3,5 @@
 		this.el;		
 		this.wWidth = 395;
-		this.wHeight = 240;
+		this.wHeight = 255;
 	}
 	
@@ -16,4 +16,25 @@
 		}	
 	}
+	
+	cIEContacts.prototype.showFailures = function(data){
+		if (data == 'undefined')
+			return;
+		if (data){
+			var lang_clean = Element('cc_msg_clean').value;
+			var info_box = document.getElementById('s_info2');
+			info_box.innerHTML = data;
+			info_box.style.visibility = '';
+			var cleanButton = document.createElement('input');
+			cleanButton.type='button';
+			cleanButton.value=lang_clean;
+			cleanButton.onclick= function() { ccIEContacts.cleanInfo() };
+			info_box.appendChild(cleanButton);
+			}
+	}
+
+	cIEContacts.prototype.cleanInfo = function(){
+	var info_box = document.getElementById('s_info2');
+	info_box.innerHTML = '';
+	}	
 	
 	cIEContacts.prototype.showList = function(){
@@ -39,4 +60,5 @@
 
 			var lang_import_contacts = Element('cc_msg_import_contacts').value;
+            var lang_close_win = Element('cc_msg_close_win').value
             var lang_export_contacts = Element('cc_msg_export_contacts').value;
             var lang_expresso_info_csv = Element('cc_msg_expresso_info_csv').value;
@@ -45,6 +67,6 @@
             var lang_msg_choose_type		= Element('cc_msg_choose_file_type').value;
 			var lang_msg_expresso_info_csv	= Element('cc_msg_expresso_info_csv').value;
-			var lang_msg_export_csv			= Element('cc_msg_export_csv').value;
-            var lang_close = Element('cc_msg_close').value;
+			var lang_msg_export_csv			= Element('cc_msg_export_csv').value;;
+            var lang_msg_automatic = Element('cc_msg_automatic').value;
 			var lang_moz_tb = Element('cc_msg_moz_thunderbird').value;
 			var lang_outl_pt = Element('cc_msg_outlook_express_pt').value;
@@ -64,9 +86,10 @@
 			'<font color="DARKBLUE" size="2">'+lang_expresso_info_csv+'</font></td></tr>'+
 			'<tr><td height="75px" valign="top">'+
-			'<form name="formCSV" method="POST" enctype="multipart/form-data">'+ lang_msg_choose_type+':&nbsp;<select id="typeImport">'+
+			'<form name="formCSV" method="POST" enctype="multipart/form-data">'+ lang_msg_choose_type +
+			':&nbsp;<select id="typeImport"><option value="auto" selected>'+lang_msg_automatic+'</option>'+
 			'<option value="outlook">'+("Outlook Express")+'</option>'+
 			'<option value="outlook2000">'+("Outlook 2000")+'</option>'+
 			'<option value="thunderbird">'+("Mozilla Thunderbird")+'</option>'+
-			'<option value="expresso" selected>'+lang_expresso_default+'</option></select><br>'+
+			'<option value="expresso">'+lang_expresso_default+'</option></select><br>'+
 			'<br>'+lang_choose_contacts_file+'<br><br>'+			
 			'<input id="import_file" type="file" name="import_file">'+
@@ -75,6 +98,6 @@
 			'<tr><td height="10px" align="center"></td></tr>'+
 			'<tr><td nowrap><center><input id="import_button" type="button" value='+lang_import_contacts+' onClick="javascript:ccIEContacts.importCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
-			'<input type="button" value='+lang_close+' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
-			'</table>'+
+			'<input type="button" value='+lang_close_win+' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
+			'<tr><td height="10px" align="center" nowrap><span style="visibility:hidden" id="s_info2"></span></td></tr></table>'+
 			'<table border=0  height="208px"  width="100%" style="display:none" id="export_span">'+
 			'<tr><td>'+						
@@ -90,10 +113,10 @@
 			'<tr><td align="center">&nbsp;</td></tr>'+
 			'<tr><td nowrap><center><input id="export_button" type="button" value='+lang_export_contacts+ ' onClick="javascript:ccIEContacts.exportCSV(this)">&nbsp;&nbsp;&nbsp;&nbsp;'+
-			'<input type="button" value='+lang_close+ ' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
+			'<input type="button" value='+lang_close_win+ ' onClick="javascript:ccIEContacts.close()"></center></td></tr>'+
 			'</table></div>';
 		}		
 		this.showWindow();
 	}
-		
+	
 	cIEContacts.prototype.showWindow = function ()
 	{						
@@ -131,8 +154,13 @@
 		var lang_importing = Element('cc_msg_importing_contacts').value;
 		var lang_import_finish = Element('cc_msg_import_finished').value;
-
-		var l_1		= '<font face="Verdana" size="1" color="GREEN">['+args[1]+' novos]</font>';
-		var l_2 	= '<font face="Verdana" size="1" color="RED">['+args[2]+' falharam]</font>';
-		var l_3		= '<font face="Verdana" size="1" color="DARKBLUE">['+args[3]+' já existiam]</font>';
+		var lang_new = Element('cc_msg_new').value;
+		var lang_failure = Element('cc_msg_failure').value;
+		var lang_exists = Element('cc_msg_exists').value;
+		var lang_show_more_info = Element('cc_msg_show_more_info').value;
+
+		var l_1		= '<font face="Verdana" size="1" color="GREEN">['+args[1]+lang_new+']</font>';
+		var l_2 	= '<font face="Verdana" size="1" color="RED">['+args[2]+lang_failure+']</font>';
+		var l_3		= '<font face="Verdana" size="1" color="DARKBLUE">['+args[3]+lang_exists+']</font>';
+		var l_4 	= '<br><a font face="Verdana" size="1" href="javascript:ccIEContacts.showFailures(\''+args[4]+'\')">'+lang_show_more_info+'</a>';
 		var l_error	= '<span style="height:15px;background:#cc4444">&nbsp;&nbsp;<font face="Verdana" size="1" color="WHITE">'+lang_import_fail+ '&nbsp;</font></span>';
 		var l_importing = '<span style="height:15px;background:rgb(250, 209, 99)">&nbsp;&nbsp;<font face="Verdana" size="1" color="DARKBLUE">'+lang_importing + '&nbsp;</font></span>';
@@ -140,5 +168,5 @@
 		if(args[0] == 'success') {
 
-			for(i = 1; i < 4; i++) {
+			for(i = 1; i < 5; i++) {
 				status += "&nbsp;"+eval('l_'+i);
 			}
@@ -168,9 +196,9 @@
 	cIEContacts.prototype.importCSV = function ()
 	{		
-		var lang_csv_msg = Element('cc_msg_chosse_valid_csv');
+		var lang_msg_invalid_csv = Element('cc_msg_invalid_csv').value;
 		var form = document.formCSV;
 		if ((form.import_file.value.length < 10) || 
 		(form.import_file.value.substring(form.import_file.value.length - 4, form.import_file.value.length).toLowerCase() != ".csv")){
-			alert(lang_csv_msg);
+			alert(lang_msg_invalid_csv);
 			return;
 		}
@@ -190,4 +218,6 @@
 				args[2] = data._failure ? data._failure : 0;
 				args[3] = data._existing ? data._existing : 0;
+				args[4] = data._failure_status
+
 			}
 			_this.importWriteStatus(args);
Index: /trunk/contactcenter/templates/default/index.tpl
===================================================================
--- /trunk/contactcenter/templates/default/index.tpl	(revision 119)
+++ /trunk/contactcenter/templates/default/index.tpl	(revision 270)
@@ -15,5 +15,4 @@
 <input id="cc_msg_no_cards" type="hidden" value="{cc_msg_no_cards}">
 <input id="cc_msg_err_no_room" type="hidden" value="{cc_msg_err_no_room}">
-
 <input id="cc_root_dir" type="hidden" value="{cc_root_dir}">
 <input id="cc_msg_card_new" type="hidden" value="{cc_msg_card_new}">
@@ -29,5 +28,5 @@
 <input id="cc_msg_group_remove_confirm" type="hidden" value="{cc_msg_group_remove_confirm}">
 <input id="cc_panel_search_text" type="hidden" value="{cc_panel_search}" style="cursor: pointer; cursor: hand;" onclick="javascript:ccSearch()" />
-
+<input id="cc_msg_close_win" type="hidden" value="{cc_msg_close_win}">
 <input id="cc_msg_import_contacts" type="hidden" value="{cc_msg_import_contacts}">
 <input id="cc_msg_export_contacts" type="hidden" value="{cc_msg_export_contacts}">
@@ -42,6 +41,13 @@
 <input id="cc_msg_import_fail" type="hidden" value="{cc_msg_import_fail}">
 <input id="cc_msg_export_csv" type="hidden" value="{cc_msg_export_csv}">		   
+<input id="cc_msg_automatic" type="hidden" value="{cc_msg_automatic}">
 <input id="cc_msg_importing_contacts" type="hidden" value="{cc_msg_importing_contacts}">
 <input id="cc_msg_import_finished" type="hidden" value="{cc_msg_import_finished}">
+<input id="cc_msg_invalid_csv" type="hidden" value="{cc_msg_invalid_csv}">
+<input id="cc_msg_new" type="hidden" value="{cc_msg_new}">
+<input id="cc_msg_failure" type="hidden" value="{cc_msg_failure}">
+<input id="cc_msg_exists" type="hidden" value="{cc_msg_exists}">
+<input id="cc_msg_show_more_info" type="hidden" value="{cc_msg_show_more_info}">
+<input id="cc_msg_clean" type="hidden" value="{cc_msg_clean}">
 <input id="cc_msg_choose_valid_csv" type="hidden" value="{cc_msg_choose_valid_csv}">
 <input id="cc_msg_export_error" type="hidden" value="{cc_msg_export_error}">
@@ -63,5 +69,4 @@
 <input id="cc_msg_install_now" type="hidden" value="{cc_msg_install_now}">
 <input id="cc_msg_install_new_firefox" type="hidden" value="{cc_msg_install_new_firefox}">
-<input id="cc_msg_close" type="hidden" value="{cc_msg_close}">
 <input id="cc_msg_outlook_express_pt" type="hidden" value="{cc_msg_outlook_express_pt}">
 <input id="cc_msg_outlook_express_en" type="hidden" value="{cc_msg_outlook_express_en}">