Index: trunk/instant_messenger/js/jabber.packer.js
===================================================================
--- trunk/instant_messenger/js/jabber.packer.js	(revision 268)
+++ trunk/instant_messenger/js/jabber.packer.js	(revision 275)
@@ -1,1 +1,1 @@
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(c/a))+String.fromCharCode(c%a+161)};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\[\xa1-\xff]+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(e(c),'g'),k[c])}}return p}('¯ ¢Ç(){Û.Ö=á;Û.È=á}¢Ç.¢û={\'¢õ\':¯(¢¡,À){¥ ž=Û;¯ ¢­(){£(ž.Ö==á)ž.Ö=¢² ¢ô}¯ ¢¯(){ž.È=¢² ¢ö}¢­();¢¯();£(¢Ý ¢¡!=\'¢÷\'||¢Ý À!=\'¢ë\')í º;Ã(¢¡){ª\'¢ì\':¢à(À);š;ª\'¢Í\':¢È(À);š;ª\'¢®\':¢Û(À);š;ª\'Æ\':Æ(À.¢Í,À.¡);š}¯ ¢Ê(¢Ü){¥ ¢Õ="<ë>"+"<¢Ñ>"+¢.×("¢î")+"</¢Ñ>"+"<¢Î>"+¢.×("¢ï ¢ð")+"</¢Î>"+"<¢É>"+¢.×("¢í")+"</¢É>"+"<ß>"+¢.×("¢é")+"</ß>"+"<¢Ì>"+¢¬+"</¢Ì>"+"</ë>";Œ.ò(\'ø\',\'¢±\',\'<ä>.::¢¶ ¢µ::.</ä>\',\'¢ê.Í\',\'\',¹,¹,º);Œ.Ó(\'ø\').³=ž.È.ã(¢Õ,\'ë.Í\');Œ.Ó(\'ø\').³+=ž.È.ã(¢Ü,\'¢Ë.Í\');¥ ·=€.§(\'¢ñ\').«;ç(·){£(·.¢ò==1)£(·.Ò.¢£()=="¢ø")·.®=¢ù.®;œ £(·.Ò.¢£()=="¢ú"&&·.¢Ï())·.«.®=¢è.®;·=·.Ë}£(€.§(\'¢Å\').®===¢ó.®){¢.¢Ú(\'Û\',º);¢.¢Ö(\'¢Å\')}¯ ¢º(¢ä){}Ö.¢Á(\'t.¢À.¢æ\',{\'¢Â\':¢º});¥ µ="";£(µ=¢ç.¢å(\'µ\')){µ=µ.Å(µ.Â("=")+1,µ.¢Ò);¢.µ=µ}œ{¢.µ=\'Ä=ú\';¢.¢á=\'ú\';€.§(\'¢â\').®=¢Ð.®}¢.¢®(¢.µ)}¯ ¢à(Ü){Ã(Ü.Š(\'¿\')){ª\'¢Ë\':¢Ê(Ü);š;ª\'¢°\':ª\'¢Ã\':¢Ô(Ü);š}}¯ ¢È(¶){£(¶.Ú(\'Ç\').¢Ò>0){¥ ¢Ø=ž.È.ã(¶,\'¢ã.Í\');¥ ¡=¶.Š(\'¡\');¡=¡.Å(0,¡.Â(\'/\'));£(€.§(\'â\'+¡)!=á)€.§(\'â\'+¡).£Ô.£Â(€.§(\'â\'+¡));¥ ¬;¯ ó(){¬=Œ.Ó(¡);¥ °=Ð.£Á(\'°\');°.¿=\'â\'+¡;°.±.£Ã=\'£Ä\';°.±.£Å=\'£À\';°.±.£¿=\'0\';°.±.Ô=\'0\';°.±.¢³=\'0\';¥ ¢Æ=¬.«.«.Ë.Ë;¢Æ.£»(°);°.Ì.Ð.£º(\'<¢·><Ç ¿="\'+¡+\'" ±="Ô:¢Ž;¢³:¢Ž"></Ç></¢·>\');°.Ì.Ð.£Œ();°.Ì.Ð.£œ="£Ÿ";°.Ì.£Æ();¯ ñ(e){¥ Ø=e.¢Œ;¥ ¢œ=(e.Ù)?e.Ù.¿:e.¢¹.Ú(\'Ç\').õ(0).¿;Ã(Ø){ª ¢¿:£(!e.¢Ä)Æ(°.Ì.Ð.Ú(\'Ç\').õ(0),¡);í º;š;ª £Ç:Œ.£Ð(¢œ);š;æ:š}}¯ ì(e){¥ Ø=e.¢Œ;¥ ¢ž=(e.Ù)?e.Ù.¿:e.¢¹.Ú(\'Ç\').õ(0);Ã(Ø){ª ¢¿:£(!e.¢Ä)¢ž.³=\'\';í º;š;æ:š}}¥ Á=°.Ì.Ð;£(Á.ð){Á.ð(\'£Ï\',ñ,º);Á.ð(\'£Ñ\',ì,º)}œ £(Á.î){Á.î(\'£Ò\',ñ);Á.î(\'£Ó\',ì)}}£(!(¬=Œ.Ó(¡))){Œ.ò(¡,\'¢±\',\'<ä>.:: ¢¶ ¢µ ::.</ä>\',\'£Î.Í\',\'£Í\',¹,¹,¹);€.§(¡+\'¢×\').®=¢¬+"/¢¢/æ/£É/£È.£Ê";ó()}œ{Œ.ò(¡,\'\',\'\',\'\',\'\',¹,¹,¹);ó()}£(¬){£(!(¢.à[¡]))¢.¢Ú(¡,º);¬=¬.«.«;¥ ¢Ù=(¢.à[¡])?¢.à[¡]:¡;¬.³+="<b>"+¢Ù+"</b>"+¢.£Ë(¢Ø);¬.¢Ó=¬.¢ß;¢.¢Ö(¡+"¢×")}¢.£Ì()}}¯ ¢Û(©){£¹{¥ ­=©.Š(\'¡\');­=­.Å(0,­.Â(\'/\'));£(©.Š(\'Ä\')){Ã(©.Š(\'Ä\')){ª\'£ž\':£(€.§(©.Š(\'¡\'))){£(¢Þ(\'¢ü o ö\\ô \'+©.Š(\'¡\')+\'?\'))¢.Ï(©.Š(\'¡\'),\'ù\');œ ¢.Ï(©.Š(\'¡\'),\'÷\')}œ{£(!€.§(©.Š(\'¡\'))){£(¢Þ(\'O ö\\ô \'+©.Š(\'¡\')+\' £Š £¥\\£§-£š ?\')){¢.£©(©.Š(\'¡\'));¢.Ï(©.Š(\'¡\'),\'ù\')}œ ¢.Ï(©.Š(\'¡\'),\'÷\')}œ ¢.Ï(©.Š(\'¡\'),©.Š(\'Ä\'))}š;ª\'ù\':¢.Ï(©.Š(\'¡\'),©.Š(\'Ä\'));š;ª\'£€\':š;ª\'÷\':££(\'O ö\\ô \'+©.Š(\'¡\')+\' ¢þ ¢ý ¢ÿ !\');š;ª\'£¡\':€.§(\'Ý\'+­).®=é(\'ê\'+©.Š(\'Ä\')+\'.®\');€.Ê(€.§(­),"±","Ô-û:è;ï:¢¥;É:ÿ;");š;ª\'ú\':€.§(\'Ý\'+­).®=é(\'ê\'+©.Š(\'Ä\')+\'.®\');€.Ê(€.§(­),"±","Ô-û:è;ï:¢¥;É:¢š;");š}}œ{¥ ²=©.«;ç(²){£(².¢Ï()){Ã(².Ò){ª"£¢":€.§(\'Ý\'+­).®=é(\'ê\'+².«.Õ+\'.®\');€.Ê(€.§(­),"±","Ô-û:è;ï:¢¥;É:¢š;");€.§(\'Î\'+­).³=" ";€.Ê(€.§(\'Î\'+­),"±","»-¢§:¢ª; »-¢©:¢«, ¢Š, ¢€, þ-ý; »-±:ü; É:ÿ;");š;ª"µ":€.§(\'Î\'+­).³=(².«.Õ)?².«.Õ:"";€.Ê(€.§(\'Î\'+­),"±","»-¢§:¢ª; »-¢©:¢«, ¢Š, ¢€, þ-ý; »-±:ü; É:¢š;");š;æ:€.§(\'Ý\'+­).®=¢Ð.®;€.§(\'Î\'+­).³=" ";€.Ê(€.§(\'Î\'+­),"±","»-¢§:¢ª; »-¢©:¢«, ¢Š, ¢€, þ-ý; »-±:ü; É:ÿ;");š}}²=².Ë}£(!¢.£ª)£«("¢.£Ž()",£³)}}£µ(e){}}¯ ¢Ô(Ñ){Ã(Ñ.Š(\'¿\')){ª"¢Ã":¥ Ž=Ñ.«;¥ Ÿ=Ž.«;ç(Ÿ){£(Ÿ.Ò=="£¶"||Ÿ.Ò=="ß"){£(Ÿ.«.Õ)€.§(\'£·\').³=Ÿ.«.Õ}Ÿ=Ÿ.Ë}£(¢.Ž)¢¢.£²(Ñ);š;ª"¢°":¥ Ž=ž.È.ã(Ñ,\'ß.Í\');¢.à[Ž.Å(0,Ž.Â(\',\'))]=(Ž.Å(Ž.Â(\',\')+1))?Ž.Å(Ž.Â(\',\')+1):Ž.Å(0,Ž.Â(\',\'));£(¢.Ž)¢¢.£±(Ñ);š}}¯ Æ(¶,¢»){¯ ¢Ÿ(£­){}¥ Æ=¶.³;¶.³=¶.³.£¬(/^( )*|( )*$/g,\'\');¥ å=º;¥ ²=¶.«;ç(²&&!å){£(².Ò.¢£()!=\'Þ\')å=¹;²=².Ë}£(å)ž.Ö.¢Á(\'t.¢À.Æ\',{\'¢Â\':¢Ÿ},"£®="+¶.Š(\'¿\')+"&Ç="+£¯(¶.³));¶.³=\'\';¥ ¬=Œ.Ó(¢»);£(¬){¬=¬.«.«;¬.³+="<b>"+¢.×("£°")+":</Þ></b>"+Æ+"</Þ></Þ>";¬.¢Ó=¬.¢ß}}}};',95,242,'from|im|if|func|var|getAttribute|byId|break|pPresence|case|firstChild|win|jidFrom|src|function|iframe|style|node|innerHTML|vcard|status|pMessage|element|__this|true|false|font|im_window|else|cc|id|pParam|obj|indexOf|switch|type|substr|sendMessage|body|xtools|display|confEl|nextSibling|contentWindow|xsl|status_|subscription|document|pVcard|nodeName|elementC|margin|nodeValue|con|get_lang|evt|srcElement|getElementsByTagName|this|pIq|img_|br|nickname|nickname_contacts|null|iframe_|parse|title|send|default|while|15px|eval|im_|layer|keyup_handler|return|attachEvent|cursor|addEventListener|keypress_handler|load|include_iframe|x41rio|item|usu|unsubscribe|__contacts_im_|subscribed|available|left|italic|serif|sans|none|pAction|templates|toLowerCase|Helvetica|pointer|Arial|size|block|family|8pt|Verdana|path_im|__connector|presence|__xtools|vCard|instant_messenger_content|new|padding|0px|Messenger|Expresso|html|_1|target|handler|pFrom|keyCode|pId|handler_sendMessage|13|Ujabber|go|request|vCard_user|shiftKey|im__avatar|_0|Jabber|readMessage|lang3|readContacts|contacts|path|message|lang2|hasChildNodes|im_available|lang1|length|scrollTop|readVcard|XmlDoc|ldap_photo|__avatar|msg|nick|request_vcard|readPresence|pContacts|typeof|confirm|scrollHeight|readIq|statusFlag|im_status_src|message_new|Xmldata|checkCookie|setStatus|cookies_im|im_unavailable|Username|window|object|iq|Preferences|Nickname|Add|Contact|im_contact_list|nodeType|im_photo|IMConnector|doIt|XTools|string|img|im_group_open|div|prototype|Autorizar|seu|negou|pedido|unavailable|show|alert|unsubscribed|adicion|quer|x41|lo|addrequest|contacts_off_line|setTimeout|replace|data|to|escape|says|vcard_contact|vcard_user|3000|off_line|catch|NICKNAME|im_layer_nickname|subscribe|try|write|appendChild|close|designMode|On|border|46px|createElement|removeChild|width|290px|height|focus|27|photo|images|png|insertEmoticons|newMessageNotification|310|chat|keypress|window_close|keyup|onkeypress|onkeyup|parentNode'.split('|'),0,{}))
+eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(c/a))+String.fromCharCode(c%a+161)};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\[\xa1-\xff]+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(e(c),'g'),k[c])}}return p}('² ¢Ÿ(){ã.Ê=ä;ã.Ã=ä}¢Ÿ.¢ï={\'¢ð\':²(ç,Ä){¥ ·=ã;² ¢À(){£(·.Ê==ä)·.Ê=¢¿ ¢í}² ¢œ(){·.Ã=¢¿ ¢é}¢À();¢œ();£(¢Œ ç!=\'¢ë\'||¢Œ Ä!=\'¢ò\')¢ø Ö;Ñ(ç){«\'¢ú\':¢Æ(Ä);¬;«\'¢¹\':¢Å(Ä);¬;«\'Ý\':¢Ã(Ä);¬;«\'É\':É(Ä.¢¹,Ä.¢);¬}² ¢Ä(¢Ê){¥ ¢É="<é>"+"<¢»>"+¡.Ó("¢ó")+"</¢»>"+"<¢Á>"+¡.Ó("¢è ¢ô")+"</¢Á>"+"<¢Â>"+¡.Ó("¢õ")+"</¢Â>"+"<á>"+¡.Ó("¢Þ")+"</á>"+"<¢È>"+¢ª+"</¢È>"+"</é>";À.õ(\'û\',\'¢Ë\',\'<å>.::¢µ ¢«::.</å>\',\'¢Ý.Â\',\'\',»,»,Ö);À.Ô(\'û\').µ=·.Ã.×(¢É,\'é.Â\');À.Ô(\'û\').µ+=·.Ã.×(¢Ê,\'¢ž.Â\');¥ ¹=€.š(\'¢ß\').®;Ù(¹){£(¹.¢å==1)£(¹.Ì.¢š()=="¶")¹.ª=¢æ.ª;º £(¹.Ì.¢š()=="¢ä"&&¹.¢Ö())¹.®.ª=¢ã.ª;¹=¹.Í}£(€.š(\'¢Ç\').ª===¢á.ª){¡.¢³(\'ã\',Ö);¡.¢°(\'¢Ç\')}² Þ(¢Ø){}·.Ê.¢§(\'t.¢¥.¢Õ\',{\'ÿ\':Þ});¥ Š="";£(Š=¢Ù.¢Í(\'Š\')){Š=Š.Ÿ(Š.Á("=")+1,Š.¢¢);¡.Š=Š}º{¡.Š=\'œ=Ï\';¡.¢Ò=\'Ï\';€.š(\'¢¶\').ª=¢£.ª}¡.Ý(¡.Š)}² ¢Æ(Î){Ñ(Î.§(\'Ø\')){«\'¢ž\':¢Ä(Î);¬;«\'¢×\':«\'¢¬\':¢­(Î);¬;«\'£·\':¢Ó(Î);¬}}² ¢Å(ž){£(ž.£¶(\'Ü\').¢¢>0){¥ ¢¯=·.Ã.×(ž,\'£µ.Â\');¥ ¢=ž.§(\'¢\');¢=¢.Ÿ(0,¢.Á(\'/\'));¥ °=€.š(\'¢©\'+¢);¥ ¯;£(!(¯=À.Ô(¢))){À.õ(¢,\'¢Ë\',\'<å>.:: ¢µ ¢« ::.</å>\',\'£».Â\',\'£Á\',»,»,»);€.š(¢+\'¢±\').ª=¢ª+"/þ/¢Ú/£Â/£Ã.£À"}º{À.õ(¢,\'\',\'\',\'\',\'\',»,»,»)}£(°==ä){¯=À.Ô(¢);¥ °=à.£Œ(\'°\');°.Ø=\'¢©\'+¢;°.±.£Ÿ=\'£±\';°.±.£°=\'££\';°.±.£€=\'0\';°.±.Ò=\'0\';°.±.¢·=\'0\';¥ ¢Ì=¯.®.®.Í.Í;¢Ì.£¥(°);°.Ú.à.£¢(\'<¢®><Ü Ø="\'+¢+\'" ±="Ò:¢Ž;¢·:¢Ž"></Ü></¢®>\');°.Ú.à.¢þ();°.Ú.à.£Š="£§"}°.Ú.£¯();£(¯){£(!(¡.Õ[¢]))¡.¢³(¢,Ö);¯=¯.®.®;¥ ¢²=(¡.Õ[¢])?¡.Õ[¢]:¢;¯.µ+="<b>"+¢²+"</b>"+¡.£«(¢¯);¯.¢º=¯.¢Ð;£(!(¡.Õ[¢]))¡.¢°(¢+"¢±")}¡.£ª()}}² ¢Ã(©){£ž{¥ ­=©.§(\'¢\');¥ ý=­.Á(\'/\');£(ý>-1)­=­.Ÿ(0,ý);£(©.§(\'œ\')){Ñ(©.§(\'œ\')){«\'£©\':£(€.š(©.§(\'¢\'))){£(¢Û(\'£š o ö\\÷ \'+©.§(\'¢\')+\'?\'))¡.È(©.§(\'¢\'),\'ô\');º ¡.È(©.§(\'¢\'),\'ó\')}º{£(!€.š(©.§(\'¢\'))){£(¢Û(\'O ö\\÷ \'+©.§(\'¢\')+\' £¬ £®\\£­-¢ý ?\')){¡.£¡(©.§(\'¢\'));¡.È(©.§(\'¢\'),\'ô\')}º ¡.È(©.§(\'¢\'),\'ó\')}º ¡.È(©.§(\'¢\'),©.§(\'œ\'))}¬;«\'ô\':¡.È(©.§(\'¢\'),©.§(\'œ\'));¬;«\'£œ\':¬;«\'ó\':¢Ô(\'O ö\\÷ \'+©.§(\'¢\')+\' £º £Ž £³ !\');¬;«\'£²\':¥ ¶=€.š(\'Û\'+­);£(¶){¶.ª=ú(\'ù\'+©.§(\'œ\')+\'.ª\');€.Ç(€.š(­),"±","Ò-ñ:ø;ü:ï;Æ:¢€;")}¬;«\'Ï\':¥ ¶=€.š(\'Û\'+­);£(¶){¶.ª=ú(\'ù\'+©.§(\'œ\')+\'.ª\');€.Ç(€.š(­),"±","Ò-ñ:ø;ü:ï;Æ:è;")}¬}}º{¥ ³=©.®;Ù(³){£(³.¢Ö()){Ñ(³.Ì){«"£Ä":¥ ¶=€.š(\'Û\'+­);£(¶){¶.ª=ú(\'ù\'+³.®.Ð+\'.ª\');€.Ç(€.š(­),"±","Ò-ñ:ø;ü:ï;Æ:è;");€.š(\'Ë\'+­).µ=" ";€.Ç(€.š(\'Ë\'+­),"±","Œ-æ:ð; Œ-ê:î, í, ë, ì-ò; Œ-±:¢Š; Æ:¢€;")}¬;«"Š":€.š(\'Ë\'+­).µ=(³.®.Ð)?³.®.Ð:"";€.Ç(€.š(\'Ë\'+­),"±","Œ-æ:ð; Œ-ê:î, í, ë, ì-ò; Œ-±:¢Š; Æ:è;");¬;¢Ú:¥ ¶=€.š(\'Û\'+­);£(¶){¶.ª=¢£.ª;€.š(\'Ë\'+­).µ=" ";€.Ç(€.š(\'Ë\'+­),"±","Œ-æ:ð; Œ-ê:î, í, ë, ì-ò; Œ-±:¢Š; Æ:¢€;")}¬}}³=³.Í}£(!¡.¢î)¢ì("¡.¢ê()",¢÷)}}¢ö(e){¢Ô(\'¢û Ý : \'+e+"\\n\\n"+e.¢Ü)}}² ¢Ó(¢Ñ){¥ ¢¡=·.Ã.×(¢Ñ,\'¢¡.Â\');£(¢¡!="0"){² Þ(¢Ø){}·.Ê.¢§(\'t.¢¥.¢Õ\',{\'ÿ\':Þ});¥ Š="";£(Š=¢Ù.¢Í(\'Š\')){Š=Š.Ÿ(Š.Á("=")+1,Š.¢¢);¡.Š=Š}º{¡.Š=\'œ=Ï\';¡.¢Ò=\'Ï\';€.š(\'¢¶\').ª=¢£.ª}¡.Ý(¡.Š)}}² ¢­(Å){Ñ(Å.§(\'Ø\')){«"¢¬":¥ Ž=Å.®;¥ ¿=Ž.®;Ù(¿){£(¿.Ì=="¢â"||¿.Ì=="á"){£(¿.®.Ð)€.š(\'¢ç\').µ=¿.®.Ð}¿=¿.Í}£(¡.Ž)þ.¢ù(Å);¬;«"¢×":¥ Ž=·.Ã.×(Å,\'á.Â\');¡.Õ[Ž.Ÿ(0,Ž.Á(\',\'))]=(Ž.Ÿ(Ž.Á(\',\')+1))?Ž.Ÿ(Ž.Á(\',\')+1):Ž.Ÿ(0,Ž.Á(\',\'));£(¡.Ž)þ.¢à(Å);¬}}² É(ž,¢Î){² ¢Ï(£¿){}¥ É=ž.µ;ž.µ=ž.µ.¢ÿ(/^( )*|( )*$/g,\'\');¥ ß=Ö;¥ ³=ž.®;Ù(³&&!ß){£(³.Ì.¢š()!=\'â\')ß=»;³=³.Í}£(ß)·.Ê.¢§(\'t.¢¥.É\',{\'ÿ\':¢Ï},"¢ñ="+ž.§(\'Ø\')+"&Ü="+£¹(ž.µ));ž.µ=\'\';¥ ¯=À.Ô(¢Î);£(¯){¯=¯.®.®;¯.µ+="<b>"+¡.Ó("¢ü")+":</â></b>"+É+"</â></â>";¯.¢º=¯.¢Ð}}}};',95,226,'im|from|if|func|var|status|getAttribute|byId|pPresence|src|case|break|jidFrom|firstChild|win|iframe|style|function|node|vcard|innerHTML|img|__this|pMessage|element|else|true|font|type|substr|cc|im_window|indexOf|xsl|xtools|pParam|pVcard|display|confEl|subscription|sendMessage|con|status_|nodeName|nextSibling|pIq|available|nodeValue|switch|margin|get_lang|elementC|nickname_contacts|false|parse|id|while|contentWindow|img_|body|presence|handler|send|document|nickname|br|this|null|title|size|pAction|block|layer|family|Helvetica|sans|Arial|Verdana|pointer|8pt|left|serif|unsubscribe|subscribed|load|usu|x41rio|15px|im_|eval|__contacts_im_|cursor|resource|templates|request|last_time|length|im_available|none|Ujabber|italic|go|toLowerCase|iframe_|path_im|Messenger|vCard_user|readVcard|html|msg|ldap_photo|__avatar|nick|request_vcard|0px|Expresso|im_status_src|padding|contacts|message|scrollTop|lang1|typeof|__xtools|Jabber|new|__connector|lang2|lang3|readPresence|readContacts|readMessage|readIq|im__avatar|path|XmlDoc|pContacts|instant_messenger_content|_0|checkCookie|pFrom|handler_sendMessage|scrollHeight|pLastTime|statusFlag|readLastTimeUser|alert|setStatus|hasChildNodes|vCard|Xmldata|cookies_im|default|confirm|description|window|Username|im_contact_list|vcard_contact|im_photo|NICKNAME|im_unavailable|div|nodeType|im_group_open|im_layer_nickname|Add|XTools|off_line|string|setTimeout|IMConnector|contacts_off_line|prototype|doIt|to|object|Nickname|Contact|Preferences|catch|3000|return|vcard_user|iq|read|says|lo|close|replace|addrequest|write|46px|border|appendChild|designMode|On|Autorizar|subscribe|newMessageNotification|insertEmoticons|quer|x41|adicion|focus|height|290px|unavailable|pedido|seu|message_new|getElementsByTagName|last_time_user|try|escape|negou|chat|createElement|unsubscribed|width|data|png|310|images|photo|show'.split('|'),0,{}))